# Uses of Class
nu.xom.Namespace

Packages that use Namespace
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.
nu.xom.tests
`nu.xom.tests` contains the JUnit based test suite for XOM.

## Uses of Namespace in nu.xom

Methods in nu.xom that return Namespace
Modifier and Type
Method
Description
`Namespace`
Namespace.`copy()`
Returns a copy of this namespace which has the same prefix and URI, but no parent.

## Uses of Namespace in nu.xom.tests

Methods in nu.xom.tests with parameters of type Namespace
Modifier and Type
Method
Description
`static void`
XOMTestCase.`assertEquals(String message, Namespace expected, Namespace actual)`
Asserts that two namespace nodes are equal.